Bug 1338050 - Update pydf to version 12
Summary: Update pydf to version 12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pydf
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clint Savage
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-05-21 03:39 UTC by Devin Henderson
Modified: 2017-06-09 18:59 UTC (History)
4 users (show)

Fixed In Version: pydf-12-1.el6 pydf-12-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-06 06:17:09 UTC


Attachments (Terms of Use)
spec patch (2.26 KB, patch)
2017-03-17 09:01 UTC, Artem
no flags Details | Diff

Description Devin Henderson 2016-05-21 03:39:19 UTC
Can we get pydf updated to the latest version (12)? 

http://kassiopeia.juls.savba.sk/~garabik/software/pydf/

This version supports piping so you can use it in scripts.

For example: `pydf | grep /home` in Fedora's pydf (version 9) you get:

$ pydf | grep /home
Traceback (most recent call last):
  File "/usr/bin/pydf", line 630, in <module>
    terminal_width = get_terminal_width()
  File "/usr/bin/pydf", line 82, in get_terminal_width
    width = handler()
  File "/usr/bin/pydf", line 64, in get_terminal_width_resize
    c = subprocess.getoutput('resize').split('\n')
AttributeError: 'module' object has no attribute 'getoutput'


Also, is there a reason this package is available for all current Fedora & EL releases except for EL7?

https://apps.fedoraproject.org/packages/pydf

Comment 1 Dominika Krejčí 2016-07-27 12:21:18 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 2 Dominika Krejčí 2016-08-25 12:37:34 UTC
Hi Clint,
how is it going? Do you need any help?

Comment 3 Clint Savage 2016-10-04 01:10:37 UTC
I can't probably get to this in the near future. If you'd like to comaintain this package, please feel free to start the process.

Thanks!

Comment 4 Fedora End Of Life 2016-11-25 09:06:29 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Devin Henderson 2016-12-06 23:49:10 UTC
I'm interested in taking over maintenance duties for this package.

I've created update pydf version 12 packages for f24, f25, f26, el6, and el7. I have tested them on f24, f25, el6, and el7 and they work well.

I just submitted a review request. If anyone would be willing to sponsor me (since this is my first package),  I would really appreciate it!!

Review request: https://bugzilla.redhat.com/show_bug.cgi?id=1402164


Thanks

Devin

Comment 6 Artem 2017-03-03 08:34:58 UTC
Hi Clint,

I have posted updated spec in the Devin's bug, but there seem to be no progress there. Can you please review the modified spec. I would be glad to co-maintain the package, but I'm not a packager yet.


srpm: https://github.com/gtema/pydf/raw/master/pydf-12-1.fc25.src.rpm
spec: https://github.com/gtema/pydf/raw/master/pydf.spec

Regards,
Artem.

Comment 7 Artem 2017-03-03 09:08:47 UTC
requesting a review from Clint with a flag

Comment 9 Artem 2017-03-17 09:02:49 UTC
change blocks from patch-requested to patch-available

Comment 10 Fedora Update System 2017-05-16 14:20:13 UTC
pydf-12-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6670143f8d

Comment 11 Charalampos Stratakis 2017-05-16 14:21:24 UTC
Thanks for the patch Artem. I went ahead and pushed it.

For the time being I built it for F27 and F26. Please answer here if you would like it for F25 as well.

Comment 12 Devin Henderson 2017-05-16 23:13:04 UTC
Any chance we can get this built for EPEL 6 & 7 as well?

Thanks

Comment 13 Charalampos Stratakis 2017-05-17 11:31:05 UTC
(In reply to Devin Henderson from comment #12)
> Any chance we can get this built for EPEL 6 & 7 as well?
> 
> Thanks

As the maintainer said he does not have time to get on that I went ahead and pushed the changes for F26+, however I would like to get the maintainers permission if he agrees to rebasing the package for EPEL6 (and building it for EPEL7 as the branch doesn't exist yet).

Comment 14 Clint Savage 2017-05-17 14:43:18 UTC
(In reply to Charalampos Stratakis from comment #13)
> (In reply to Devin Henderson from comment #12)
> > Any chance we can get this built for EPEL 6 & 7 as well?
> > 
> > Thanks
> 
> As the maintainer said he does not have time to get on that I went ahead and
> pushed the changes for F26+, however I would like to get the maintainers
> permission if he agrees to rebasing the package for EPEL6 (and building it
> for EPEL7 as the branch doesn't exist yet).

This is fine with me. Thanks for taking the time to update this RPM.

Comment 15 Fedora Update System 2017-05-17 19:07:29 UTC
pydf-12-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6670143f8d

Comment 16 Charalampos Stratakis 2017-05-19 13:34:45 UTC
(In reply to Clint Savage from comment #14)
> (In reply to Charalampos Stratakis from comment #13)
> > (In reply to Devin Henderson from comment #12)
> > > Any chance we can get this built for EPEL 6 & 7 as well?
> > > 
> > > Thanks
> > 
> > As the maintainer said he does not have time to get on that I went ahead and
> > pushed the changes for F26+, however I would like to get the maintainers
> > permission if he agrees to rebasing the package for EPEL6 (and building it
> > for EPEL7 as the branch doesn't exist yet).
> 
> This is fine with me. Thanks for taking the time to update this RPM.

Requested commit acl's on pkgdb as I cannot create the EPEL 7 branch some other way.

Comment 17 Fedora Update System 2017-05-19 15:14:43 UTC
pydf-12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c1258b7d39

Comment 18 Fedora Update System 2017-05-20 20:56:16 UTC
pydf-12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c1258b7d39

Comment 19 Fedora Update System 2017-06-06 06:17:09 UTC
pydf-12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-06-09 18:59:19 UTC
pydf-12-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.